aboutsummaryrefslogtreecommitdiff
path: root/games/linux-virtual-jay-peak/files/virtual-jay-peak.in
diff options
context:
space:
mode:
Diffstat (limited to 'games/linux-virtual-jay-peak/files/virtual-jay-peak.in')
-rw-r--r--games/linux-virtual-jay-peak/files/virtual-jay-peak.in19
1 files changed, 19 insertions, 0 deletions
diff --git a/games/linux-virtual-jay-peak/files/virtual-jay-peak.in b/games/linux-virtual-jay-peak/files/virtual-jay-peak.in
new file mode 100644
index 000000000000..5271c32acc08
--- /dev/null
+++ b/games/linux-virtual-jay-peak/files/virtual-jay-peak.in
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+# you may override these options in ~/.virtual-jay-peak/config
+Fullscreen="1" # enable fullscreen
+OGLModeIndex="9" # use 1280x1024x32 video mode
+
+[ -f ~/.virtual-jay-peak/config ] && . ~/.virtual-jay-peak/config
+
+# The executable needs to be run from its data directory, and needs to
+# store configuration in it. We therefore mirror the data directory
+# hierarchy in ~/.virtual-jay-peak, and create symlinks to the data
+# files.
+
+cd @DATADIR@ || exit 1
+find * -type d -exec mkdir -p ~/.virtual-jay-peak/{} \; || exit 1
+find * -type f -exec ln -sf @DATADIR@/{} ~/.virtual-jay-peak/{} \; || exit 1
+
+cd ~/.virtual-jay-peak || exit 1
+exec @LIBEXECDIR@/soulride-static DefaultMountain=Jay_Peak Fullscreen=$Fullscreen OGLModeIndex=$OGLModeIndex "$@"